<template>
  <div style="background-color: #f7f7f7; height: 100%">
    <Checkout />
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "nuxt-property-decorator";
import { api, apiLocal } from "~/common/constaint";

@Component({
  layout: "checkout",
  components: {
    Checkout: () => import("@/components/Home/Checkout/index.vue"),
  },
})
export default class CheckoutPage extends Vue {
  head() {
    return {
      title:
        this.$store.state.setting.siteInfo &&
        this.$store.state.setting.siteInfo.webTitle,
      link: [
        {
          rel: "icon",
          type: "image/x-icon",
          href: `${
            this.$store?.state?.setting?.siteInfo?.logo
              ? `${api}/${this.$store?.state?.setting?.siteInfo?.logo}`
              : "/logous.png"
          }`,
        },
      ],
    };
  }
}
</script>
<style lang="css">
#custom-button {
  height: 30px;
  outline: 1px solid grey;
  background-color: green;
  padding: 5px;
  color: white;
}

#card-error {
  color: red;
}
</style>
